/* eslint-disable no-magic-numbers */
import { Coordinate } from 'ol/coordinate';
import getCentroid from './getCentroid';

describe('getCentroid', () => {
  it('should return a centroid for coordinates', () => {
    const coords: Array<Coordinate> = [
      [0, 0],
      [20, 0],
      [35, 10],
      [20, 20],
      [10, 30],
      [0, 20],
    ];

    const result = getCentroid(coords);

    expect(result[0]).toBeCloseTo(13.46);
    expect(result[1]).toBeCloseTo(12.05);
  });
});
